# Radar version
rev: {RadarModel: MPDR, RadarVersion: 0.1}
#
## Define the default Meta Data for describing the current waveform
cipMetaData:
  sampleRate_sps: [3.2E6, 3.2E6, 3.2E6, 3.2E6, 3.2E6, 3.2E6, 3.2E6, 3.2E6]
  sampleRateUas_sps: [3.2E6, 3.2E6, 3.2E6, 3.2E6, 3.2E6, 3.2E6, 3.2E6, 3.2E6]
  sampleRateWx_sps: [3.2E6, 3.2E6]
  numChannels: 8.0
  numChannelsWx: 2.0
  numPris: 160.0
  numPrisUas: 160.0
  numPrisWx: 120.0
  wxMode: false
  maxRxTxBias: 108.0
  pulseLength_s: [1.34375E-5, 0.625E-6, 0.625E-6, 1.34375E-5, 1.34375E-5, 0.625E-6, 0.625E-6,
    1.33125E-5]
  pulseLengthWx_s: [0.625E-06, 1.34375E-5]
  pulseLengthUas_s: [1.34375E-5, 0.625E-6, 0.625E-6, 1.34375E-5, 1.34375E-5, 0.625E-6, 0.625E-6,
    1.33125E-5]
  bandWidth: [2.5E6, 2.0E6, 2.0E6, 2.0E6, 2.5E6, 2.0E6, 2.0E6, 2.5E6]
  bandWidthUas: [2.5E6, 2.0E6, 2.0E6, 2.5E6, 2.5E6, 2.0E6, 2.0E6, 2.5E6]
  bandWidthWx: [2.0E6, 1000000.0]
  # samples/pri determine emperically
  priSize: 432.0
  priMarkerSize: 1
  # default values to be filled in at runtime...
  priTime_s: 0.0
  cipTime_s: 0.0
  cipNum: -1.0
  videoFPS: 30
  videoFrameTime: -1
  priPerVideoFrame: -1
  Filename: ''
  cipCenterAzimuth_d: 0.0
  cipCenterElevation_d: 0.0
  cipCenterRoll_d: 0.0
  cipCenterFrequency_hz: 9.3E9
## end of meta data

# define the Doppler processing type [hanningFft, dft]
dopplerType: hanningFft
# define the Pulse Compressor weighting 
pcTaylorSll: -30.0
pcTaylorNbar: 4.0
# zero out receive data during transmit interval
zeroTransmit: false
# number of PRIs to discard at after startup... to allow the transmitter to stablize (warmup) 8000
discardPris: 50.0
# number of cells near zero-doppler to not process for detections.
numClutterCells: 7.0
# index of the clutter peak
clutterCellPeakUas: 81.0
clutterCellPeakWx: 61.0
clutterCellPeak: 81.0
# Thresholds...
peakThreshold_dB: 13.0
cfarThreshold_dB: 13.412758
slbMultiplier_dB: 17.0
# maximum detections / dwell -- not implemented yet
maxDect: 10.0
cfarWindowSize: 8.0
cfarGuardCells: 2.0
# cfar type [range] (only one implemented at this time)
cfarType: range
cfarPasses: 1.0
# Write UDP data to file
File: 1
#enable IMU operation (UDP mode)
IMUEnable: 0
#Use MEX file to load data (Playback mode) for windows 
UseMexFileRead: 0
# normalizer type: [meanBg, doppler, dopplerShear, (range) (rangeShear)] range and rangeShear not implemented.
normalizerType: dopplerShear
normalizerType_wx: dopplerShear
normalizerType_uas: dopplerShear
normalizerMinRange_m: 12000.0
normalizerShearCount: 3.0
StcStartDelay: 10.0
Stc:
  StcTableCols: [TimeNs, FirstSample, LastSample, AttenuationDb, Multiplier]
  StcTableRows:
   - - 0
     - 0
     - 463
     - 30
     - 31.6227766
   - - 14500
     - 464
     - 485
     - 29
     - 28.18382931
   - - 15180
     - 486
     - 517
     - 28.5
     - 26.6072506
   - - 16180
     - 518
     - 549
     - 27
     - 22.38721139
   - - 17180
     - 550
     - 581
     - 26
     - 19.95262315
   - - 18180
     - 582
     - 613
     - 24.5
     - 16.78804018
   - - 19180
     - 614
     - 645
     - 23
     - 14.12537545
   - - 20180
     - 646
     - 677
     - 22.5
     - 13.33521432
   - - 21180
     - 678
     - 709
     - 21.5
     - 11.88502227
   - - 22180
     - 710
     - 741
     - 20
     - 10
   - - 23180
     - 742
     - 773
     - 19
     - 8.912509381
   - - 24180
     - 774
     - 805
     - 18
     - 7.943282347
   - - 25180
     - 806
     - 837
     - 17
     - 7.079457844
   - - 26180
     - 838
     - 869
     - 16
     - 6.309573445
   - - 27180
     - 870
     - 901
     - 15.5
     - 5.956621435
   - - 28180
     - 902
     - 933
     - 14.5
     - 5.308844442
   - - 29180
     - 934
     - 965
     - 14
     - 5.011872336
   - - 30180
     - 966
     - 997
     - 13
     - 4.466835922
   - - 31180
     - 998
     - 1029
     - 12
     - 3.981071706
   - - 32180
     - 1030
     - 1061
     - 11.5
     - 3.758374043
   - - 33180
     - 1062
     - 1093
     - 11
     - 3.548133892
   - - 34180
     - 1094
     - 1125
     - 10
     - 3.16227766
   - - 35180
     - 1126
     - 1157
     - 9.5
     - 2.985382619
   - - 36180
     - 1158
     - 1189
     - 9
     - 2.818382931
   - - 37180
     - 1190
     - 1221
     - 8.5
     - 2.66072506
   - - 38180
     - 1222
     - 1253
     - 8
     - 2.511886432
   - - 39180
     - 1254
     - 1285
     - 7
     - 2.238721139
   - - 40180
     - 1286
     - 1317
     - 6.5
     - 2.11348904
   - - 41180
     - 1318
     - 1349
     - 6
     - 1.995262315
   - - 42180
     - 1350
     - 1381
     - 5.5
     - 1.883649089
   - - 43180
     - 1382
     - 1413
     - 5
     - 1.77827941
   - - 44180
     - 1414
     - 1445
     - 4.5
     - 1.678804018
   - - 45180
     - 1446
     - 1477
     - 4
     - 1.584893192
   - - 46180
     - 1478
     - 1509
     - 3.5
     - 1.496235656
   - - 47180
     - 1510
     - 1541
     - 3
     - 1.412537545
   - - 48180
     - 1542
     - 1573
     - 2.5
     - 1.333521432
   - - 49180
     - 1574
     - 1605
     - 2
     - 1.258925412
   - - 50180
     - 1606
     - 1637
     - 1.5
     - 1.188502227
   - - 51180
     - 1638
     - 1669
     - 1
     - 1.122018454
   - - 52180
     - 1670
     - 1701
     - 0.5
     - 1.059253725
   - - 53180
     - 1702
     - 0
     - 0
     - 1
